Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::MouseElementDeleter Class Reference
Mouse_interactor

`#include <MouseInteractors.h>`

Inheritance diagram for tlp::MouseElementDeleter:
[legend]
Collaboration diagram for tlp::MouseElementDeleter:
[legend]

List of all members.

## Public Member Functions

- MouseElementDeleter ()
- ~MouseElementDeleter ()
- bool eventFilter (QObject *, QEvent *)
- InteractorComponent * clone ()

## Detailed Description

An interactor class used to delete a graph element on mouse left click

## Constructor & Destructor Documentation

tlp::MouseElementDeleter::MouseElementDeleter | ( |  | ) | `[inline]`

tlp::MouseElementDeleter::~MouseElementDeleter | ( |  | ) | `[inline]`

## Member Function Documentation

InteractorComponent* tlp::MouseElementDeleter::clone | ( |  | ) | `[inline, virtual]`

Clone this interactor component

Implements tlp::InteractorComponent.

bool tlp::MouseElementDeleter::eventFilter | ( | QObject * | ,
|  | QEvent * |
| ) |  |

Tulip Software by LaBRI Visualization Team 2001 - 2012